vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
    -- Packer can manage itself
    use 'wbthomason/packer.nvim'
    -- use { "ellisonleao/gruvbox.nvim" }
    use { "rebelot/kanagawa.nvim" }
    use {
        'nvim-lualine/lualine.nvim',
        requires = { 'nvim-tree/nvim-web-devicons', opt = true }
    }
    use {
        'nvim-telescope/telescope.nvim', tag = '0.1.1',
        -- or                            , branch = '0.1.x',
        requires = { {'nvim-lua/plenary.nvim'} }
    }
    use { "norcalli/nvim-colorizer.lua" }
    use { "nvim-tree/nvim-tree.lua" }
    use { "nvim-tree/nvim-web-devicons" } 
    use { "frazrepo/vim-rainbow" }
    use { "hrsh7th/nvim-cmp" }
    use "lukas-reineke/indent-blankline.nvim"
    use('nvim-treesitter/nvim-treesitter', {run = ':TSUpdate'})
	use {'neoclide/coc.nvim', branch = 'release'}

    use({'vimwiki/vimwiki'})
    
    use({'lervag/vimtex'})

	use({'puremourning/vimspector'})
end)
